package com.htwa.element.dept.model;

import com.htwa.common.utils.JsonUtils;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;

public class ReceiveFlowDto {

   @ApiModelProperty("状态")
   private String state;
   @ApiModelProperty("操作人name")
   private String operName;
   @ApiModelProperty("操作人部门名称")
   private String deptName;
   @ApiModelProperty("操作人单位名称")
   private String companyName;
   @ApiModelProperty("操作人时间,格式:yyyy-MM-dd HH:mm:ss")
   private Date operTime;
   @ApiModelProperty("密级：MJ01 机密，MJ02 秘密，MJ04 内部")
   private String secLevel;


   public static void main(String[] args) {
      ArrayList dto = new ArrayList();
      ReceiveFlowDto flowDto = new ReceiveFlowDto();
      flowDto.setState("公文生成");
      flowDto.setDeptName("部门名称");
      flowDto.setOperName("操作人名称");
      flowDto.setCompanyName("单位名称");
      flowDto.setOperTime(Calendar.getInstance().getTime());
      flowDto.setSecLevel("MJ04");
      dto.add(flowDto);
      ReceiveFlowDto flowDto1 = new ReceiveFlowDto();
      flowDto1.setState("公文审批");
      flowDto1.setDeptName("部门名称");
      flowDto1.setOperName("操作人名称");
      flowDto1.setCompanyName("单位名称");
      flowDto1.setOperTime(Calendar.getInstance().getTime());
      flowDto1.setSecLevel("MJ04");
      dto.add(flowDto1);
      ReceiveFlowDto flowDto2 = new ReceiveFlowDto();
      flowDto2.setState("公文交换");
      flowDto2.setDeptName("部门名称");
      flowDto2.setOperName("操作人名称");
      flowDto2.setCompanyName("单位名称");
      flowDto2.setOperTime(Calendar.getInstance().getTime());
      flowDto2.setSecLevel("MJ04");
      dto.add(flowDto2);
      System.out.println(JsonUtils.alwayslMapper().toJson(dto));
   }

   public String getState() {
      return this.state;
   }

   public String getOperName() {
      return this.operName;
   }

   public String getDeptName() {
      return this.deptName;
   }

   public String getCompanyName() {
      return this.companyName;
   }

   public Date getOperTime() {
      return this.operTime;
   }

   public String getSecLevel() {
      return this.secLevel;
   }

   public void setState(String state) {
      this.state = state;
   }

   public void setOperName(String operName) {
      this.operName = operName;
   }

   public void setDeptName(String deptName) {
      this.deptName = deptName;
   }

   public void setCompanyName(String companyName) {
      this.companyName = companyName;
   }

   public void setOperTime(Date operTime) {
      this.operTime = operTime;
   }

   public void setSecLevel(String secLevel) {
      this.secLevel = secLevel;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof ReceiveFlowDto)) {
         return false;
      } else {
         ReceiveFlowDto other = (ReceiveFlowDto)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            String this$state = this.getState();
            String other$state = other.getState();
            if(this$state == null) {
               if(other$state != null) {
                  return false;
               }
            } else if(!this$state.equals(other$state)) {
               return false;
            }

            String this$operName = this.getOperName();
            String other$operName = other.getOperName();
            if(this$operName == null) {
               if(other$operName != null) {
                  return false;
               }
            } else if(!this$operName.equals(other$operName)) {
               return false;
            }

            String this$deptName = this.getDeptName();
            String other$deptName = other.getDeptName();
            if(this$deptName == null) {
               if(other$deptName != null) {
                  return false;
               }
            } else if(!this$deptName.equals(other$deptName)) {
               return false;
            }

            label62: {
               String this$companyName = this.getCompanyName();
               String other$companyName = other.getCompanyName();
               if(this$companyName == null) {
                  if(other$companyName == null) {
                     break label62;
                  }
               } else if(this$companyName.equals(other$companyName)) {
                  break label62;
               }

               return false;
            }

            label55: {
               Date this$operTime = this.getOperTime();
               Date other$operTime = other.getOperTime();
               if(this$operTime == null) {
                  if(other$operTime == null) {
                     break label55;
                  }
               } else if(this$operTime.equals(other$operTime)) {
                  break label55;
               }

               return false;
            }

            String this$secLevel = this.getSecLevel();
            String other$secLevel = other.getSecLevel();
            if(this$secLevel == null) {
               if(other$secLevel != null) {
                  return false;
               }
            } else if(!this$secLevel.equals(other$secLevel)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ReceiveFlowDto;
   }

   public int hashCode() {
      boolean PRIME = true;
      byte result = 1;
      String $state = this.getState();
      int result1 = result * 59 + ($state == null?43:$state.hashCode());
      String $operName = this.getOperName();
      result1 = result1 * 59 + ($operName == null?43:$operName.hashCode());
      String $deptName = this.getDeptName();
      result1 = result1 * 59 + ($deptName == null?43:$deptName.hashCode());
      String $companyName = this.getCompanyName();
      result1 = result1 * 59 + ($companyName == null?43:$companyName.hashCode());
      Date $operTime = this.getOperTime();
      result1 = result1 * 59 + ($operTime == null?43:$operTime.hashCode());
      String $secLevel = this.getSecLevel();
      result1 = result1 * 59 + ($secLevel == null?43:$secLevel.hashCode());
      return result1;
   }

   public String toString() {
      return "ReceiveFlowDto(state=" + this.getState() + ", operName=" + this.getOperName() + ", deptName=" + this.getDeptName() + ", companyName=" + this.getCompanyName() + ", operTime=" + this.getOperTime() + ", secLevel=" + this.getSecLevel() + ")";
   }
}
